



      SUBROUTINE CON001 (DONE)


















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      LOGICAL       DONE







      IF (OPTIN.EQ.MEN6COD(9)) GOTO 998
      CALL MEN003 (OPTIN,DONE)







  998 CONTINUE


      RETURN
      END
      SUBROUTINE CON002 (IFT1,IFT2,JFT1,JFT2)






















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IFT1, IFT2, JFT1, JFT2, IC1, IC2, JC1, JC2







      IFT1=0
      IFT2=0
      JFT1=0
      JFT2=0



      IF (NUMAAT.LT.1) THEN
         CALL GVSTT6 ('?SOUEMP')
         GOTO 998
      END IF



      CALL CON009



   10 CONTINUE
      CALL WIFGRN (IC1,IC2,'?RANGE1')
      IF (IC1.EQ.0) GOTO 999
      IF (IC2-IC1+1.GT.WIFPAR(101)) THEN
         CALL GVSTT6 ('?TORRNG')
         CALL GVSTTI ('?CONMAL',WIFPAR(101))
         GOTO 10
      END IF
      IFT1=IC1
      IFT2=IC2



   20 CONTINUE
      CALL WIFGRN (JC1,JC2,'?RANGE2')
      IF (JC1.EQ.0) THEN
         IFT1=0
         IFT2=0
         GOTO 999
      END IF
      IF (JC2-JC1+1.GT.WIFPAR(101)) THEN
         CALL GVSTT6 ('?TORRNG')
         CALL GVSTTI ('?CONMAL',WIFPAR(101))
         GOTO 20
      END IF
      JFT1=JC1
      JFT2=JC2
      WIFPAR(431)=IFT1
      WIFPAR(432)=IFT2
      WIFPAR(433)=JFT1
      WIFPAR(434)=JFT2



      CALL SETHIS ('?CON021')
      GOTO 998



  999 CONTINUE
      CALL CON009



  998 CONTINUE


      RETURN
      END
      SUBROUTINE CON003 




















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'







      CALL CON009



      CALL SHOWTEXT ('?CONRHD')
      CALL DIF009 (6,WIFPAR(431),WIFPAR(432))
      CALL DIF009 (6,WIFPAR(433),WIFPAR(434))



      CALL SETHIS ('?CON022')





      RETURN
      END
      SUBROUTINE CON004 (IFT1,IFT2,JFT1,JFT2)




















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'IRIGRA.INC'
      INTEGER       IFT1, IFT2, JFT1, JFT2, IERR


      RETURN
      END
      SUBROUTINE CON005 




















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'VECTOR.INC'
      INTEGER       IFT1, IFT2, JFT1, JFT2, IERR,
     +              IAA, JAA, IAT, JAT
      LOGICAL       GRAPON, INTERRUPTED
      REAL          XLOW, YLOW, XHIGH, YHIGH, D12, XMID, YMID







      IF (.NOT.GRAPON()) GOTO 998



      CALL CON002 (IFT1,IFT2,JFT1,JFT2)
      IF (IFT1.LE.0) GOTO 998



      CALL CON003 



      CALL CON004 (IFT1,IFT2,JFT1,JFT2)



      CALL GETREALPAR (56,100.0,0.0,100.0,' ','?SCNCOD')



      CALL DIF011 (IFT1,IFT2,JFT1,JFT2,'?DEBCCO',
     + FLOAT(WIFPAR(56))/100.0,LINE)
      CALL SETHIS (LINE)



      CALL GRTMPF (19,2)



      DO 100 IAA=IFT1,IFT2



         DO 90 JAA=JFT1,JFT2
            IF (INTERRUPTED()) GOTO 998 
            IF (IAA.EQ.JAA) GOTO 90
            IF (WIFPAR(109).NE.0.AND.JAA.LT.IAA) GOTO 90



            D12=SQRT((SPHRAD(1,IAA)-SPHRAD(1,JAA))**2+
     +               (SPHRAD(2,IAA)-SPHRAD(2,JAA))**2+
     +               (SPHRAD(3,IAA)-SPHRAD(3,JAA))**2)-
     +                SPHRAD(4,IAA)-SPHRAD(4,JAA)
            IF (D12.GT.FLOAT(WIFPAR(56))/100.0) GOTO 90



            DO 80 IAT=PNTAAS(IAA),PNTAAE(IAA)
               IF (.NOT.ISATOK(IAT).OR.PROTON(IAT)) GOTO 80
               DO 70 JAT=PNTAAS(JAA),PNTAAE(JAA)
                  IF (.NOT.ISATOK(JAT).OR.PROTON(JAT)) GOTO 70



                  D12=SQRT((XCOORD(IAT)-XCOORD(JAT))**2+
     +                     (YCOORD(IAT)-YCOORD(JAT))**2+
     +                     (ZCOORD(IAT)-ZCOORD(JAT))**2)-
     +                      VDWRAD(IAT)-VDWRAD(JAT)
                  IF (D12.GT.FLOAT(WIFPAR(56))/100.0) GOTO 70



                  CALL CON006 (PNTAAS(IAA),IFT1,IFT2,JFT1,
     +             JFT2,XLOW)
                  CALL CON006 (PNTAAE(IAA),IFT1,IFT2,JFT1,
     +             JFT2,XHIGH)
                  CALL CON007 (PNTAAS(JAA),IFT1,IFT2,JFT1,
     +             JFT2,YLOW)
                  CALL CON007 (PNTAAE(JAA),IFT1,IFT2,JFT1,
     +             JFT2,YHIGH)
                  CALL GRTLIN (XLOW,YLOW,0.0,XHIGH,YLOW,0.0,
     +             ATCOLR(PNTAAC(IAA)),IERR)
                  CALL GRTLIN (XHIGH,YLOW,0.0,XHIGH,YHIGH,0.0,
     +             ATCOLR(PNTAAC(IAA)),IERR)
                  CALL GRTLIN (XHIGH,YHIGH,0.0,XLOW,YHIGH,0.0,
     +             ATCOLR(PNTAAC(JAA)),IERR)
                  CALL GRTLIN (XLOW,YHIGH,0.0,XLOW,YLOW,0.0,
     +             ATCOLR(PNTAAC(JAA)),IERR)



                  IF (WIFPAR(106).NE.0) THEN
                     CALL CON006 (PNTAAS(IAA)+3,IFT1,IFT2,JFT1,
     +                JFT2,XMID)
                     CALL CON007 (PNTAAS(JAA)+3,IFT1,IFT2,JFT1,
     +                JFT2,YMID)
                     CALL GRTLIN (XMID,YLOW,0.0,XMID,YHIGH,0.0,
     +                WIFPAR(110),IERR)
                     CALL GRTLIN (XLOW,YMID,0.0,XHIGH,YMID,0.0,
     +                WIFPAR(110),IERR)
                  END IF
                  CALL GRASAVE



                  IF (IERR.EQ.1) THEN
                     CALL GVSTT6 ('?PRMDPD')
                     GOTO 200
                  END IF



                  CALL GRTPPP (IAA,JAA,0,XLOW,YLOW,0.0,IERR)
                  IF (IERR.NE.0) GOTO 999



                  GOTO 90
   70          CONTINUE
   80       CONTINUE
   90    CONTINUE
         CALL GRASAVE
  100 CONTINUE



  200 CONTINUE
      CALL GRAMOL (' ')
      GOTO 998



  999 CONTINUE
      CALL GVSTT6 ('?ERWPIC')
      CALL GVSCLF (19)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE CON005A 

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IFT1, IFT2, JFT1, JFT2, IERR, 
     +              IAA, JAA, IAT, JAT
      LOGICAL       GRAPON, INTERRUPTED
      REAL          XLOW, YLOW, XHIGH, YHIGH, D12







      IF (.NOT.GRAPON()) GOTO 998
      CALL CON002 (IFT1,IFT2,JFT1,JFT2)
      IF (IFT1.LE.0) GOTO 998



      CALL CON003 



      CALL CON004 (IFT1,IFT2,JFT1,JFT2)



      IF (WIFPAR(56).LT.200) WIFPAR(56)=700
      CALL GETREALPAR (56,100.0,0.0,100.0,' ','?CUTOFF')



      CALL DIF011 (IFT1,IFT2,JFT1,JFT2,'?DEBCCOA',
     + FLOAT(WIFPAR(56))/100.0,LINE)
      CALL SETHIS (LINE)



      CALL GRTMPF (19,2)



      DO 100 IAA=IFT1,IFT2
         IAT=PNTAAC(IAA)
         IF (.NOT.ISATOK(IAT)) GOTO 100



         DO 90 JAA=JFT1,JFT2
            IF (INTERRUPTED()) GOTO 998
            IF (IAA.EQ.JAA) GOTO 90
            IF (WIFPAR(109).NE.0.AND.JAA.LT.IAA) GOTO 90
            JAT=PNTAAC(JAA)
            IF (.NOT.ISATOK(JAT)) GOTO 90



            D12=SQRT((XCOORD(IAT)-XCOORD(JAT))**2+
     +               (YCOORD(IAT)-YCOORD(JAT))**2+
     +               (ZCOORD(IAT)-ZCOORD(JAT))**2)
            IF (D12.GT.FLOAT(WIFPAR(56))/100.0) GOTO 90



            CALL CON006 (PNTAAS(IAA),IFT1,IFT2,JFT1,
     +       JFT2,XLOW)
            CALL CON006 (PNTAAE(IAA),IFT1,IFT2,JFT1,
     +       JFT2,XHIGH)
            CALL CON007 (PNTAAS(JAA),IFT1,IFT2,JFT1,
     +       JFT2,YLOW)
            CALL CON007 (PNTAAE(JAA),IFT1,IFT2,JFT1,
     +       JFT2,YHIGH)
            CALL GRTLIN (XLOW,YLOW,0.0,XHIGH,YLOW,0.0,
     +       ATCOLR(PNTAAC(IAA)),IERR)
            CALL GRTLIN (XHIGH,YLOW,0.0,XHIGH,YHIGH,0.0,
     +       ATCOLR(PNTAAC(IAA)),IERR)
            CALL GRTLIN (XHIGH,YHIGH,0.0,XLOW,YHIGH,0.0,
     +       ATCOLR(PNTAAC(JAA)),IERR)
            CALL GRTLIN (XLOW,YHIGH,0.0,XLOW,YLOW,0.0,
     +       ATCOLR(PNTAAC(JAA)),IERR)
            CALL GRASAVE



            IF (IERR.EQ.1) THEN
               CALL GVSTT6 ('?PRMDPD')
               GOTO 200
            END IF



            CALL GRTPPP (IAA,JAA,0,XLOW,YLOW,0.0,IERR)
            IF (IERR.NE.0) GOTO 999
   90    CONTINUE
         CALL GRASAVE
  100 CONTINUE



  200 CONTINUE
      CALL GRAMOL (' ')
      GOTO 998



  999 CONTINUE
      CALL GVSTT6 ('?ERWPIC')
      CALL GVSCLF (19)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE CON005B 

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IFT1, IFT2, JFT1, JFT2, IERR, 
     +              IAA, JAA, IAT, JAT
      REAL          XLOW, YLOW, XHIGH, YHIGH, D12
      LOGICAL       GRAPON, INTERRUPTED, CH4EQCH4







      IF (.NOT.GRAPON()) GOTO 998
      CALL CON002 (IFT1,IFT2,JFT1,JFT2)
      IF (IFT1.LE.0) GOTO 998



      CALL CON003 



      CALL CON004 (IFT1,IFT2,JFT1,JFT2)



      IF (WIFPAR(56).LT.200) WIFPAR(56)=700
      CALL GETREALPAR (56,100.0,0.0,100.0,' ','?CUTOFF')



      CALL DIF011 (IFT1,IFT2,JFT1,JFT2,'?DEBCCOB',FLOAT(WIFPAR(56))/
     + 100.0,LINE)
      CALL SETHIS (LINE)



      CALL GRTMPF (19,2)



      DO 100 IAA=IFT1,IFT2
         IF (CH4EQCH4(ONESA3(IAA),'GLY ')) GOTO 100
         IAT=PNTAAS(IAA)+4
         IF (.NOT.ISATOK(IAT).OR.PROTON(IAT)) GOTO 100



         DO 90 JAA=JFT1,JFT2
            IF (INTERRUPTED()) GOTO 998
            IF (CH4EQCH4(ONESA3(JAA),'GLY ')) GOTO 90
            IF (IAA.EQ.JAA) GOTO 90
            IF (WIFPAR(109).NE.0.AND.JAA.LT.IAA) GOTO 90
            JAT=PNTAAS(JAA)+4
            IF (.NOT.ISATOK(JAT).OR.PROTON(JAT)) GOTO 90



            D12=SQRT((XCOORD(IAT)-XCOORD(JAT))**2+
     +               (YCOORD(IAT)-YCOORD(JAT))**2+
     +               (ZCOORD(IAT)-ZCOORD(JAT))**2)
            IF (D12.GT.FLOAT(WIFPAR(56))/100.0) GOTO 90



            CALL CON006 (PNTAAS(IAA),IFT1,IFT2,JFT1,JFT2,XLOW)
            CALL CON006 (PNTAAE(IAA),IFT1,IFT2,JFT1,JFT2,XHIGH)
            CALL CON007 (PNTAAS(JAA),IFT1,IFT2,JFT1,JFT2,YLOW)
            CALL CON007 (PNTAAE(JAA),IFT1,IFT2,JFT1,JFT2,YHIGH)
            CALL GRTLIN (XLOW,YLOW,0.0,XHIGH,YLOW,0.0,
     +       ATCOLR(PNTAAC(IAA)),IERR)
            CALL GRTLIN (XHIGH,YLOW,0.0,XHIGH,YHIGH,0.0,
     +       ATCOLR(PNTAAC(IAA)),IERR)
            CALL GRTLIN (XHIGH,YHIGH,0.0,XLOW,YHIGH,0.0,
     +       ATCOLR(PNTAAC(JAA)),IERR)
            CALL GRTLIN (XLOW,YHIGH,0.0,XLOW,YLOW,0.0,
     +       ATCOLR(PNTAAC(JAA)),IERR)
            CALL GRASAVE



            IF (IERR.EQ.1) THEN
               CALL GVSTT6 ('?PRMDPD')
               GOTO 200
            END IF



            CALL GRTPPP (IAA,JAA,0,XLOW,YLOW,0.0,IERR)
            IF (IERR.NE.0) GOTO 999
   90    CONTINUE
         CALL GRASAVE
  100 CONTINUE



  200 CONTINUE
      CALL GRAMOL (' ')
      GOTO 998



  999 CONTINUE
      CALL GVSTT6 ('?ERWPIC')
      CALL GVSCLF (19)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE CON005C 

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IFT1, IFT2, JFT1, JFT2, IERR, ICOL, IAA, JAA, 
     +              IAT, JAT
      LOGICAL       GRAPON, INTERRUPTED
      REAL          XLOW, YLOW, XHIGH, YHIGH, D12







      IF (.NOT.GRAPON()) GOTO 998
      CALL CON002 (IFT1,IFT2,JFT1,JFT2)
      IF (IFT1.LE.0) GOTO 998



      CALL CON003 



      CALL CON004 (IFT1,IFT2,JFT1,JFT2)



      CALL DIF011 (IFT1,IFT2,JFT1,JFT2,'?DEBCCOC',FLOAT(WIFPAR(56))/
     + 100.0,LINE)
      CALL SETHIS (LINE)



      CALL GRTMPF (19,2)



      DO 100 IAA=IFT1,IFT2
         IAT=PNTAAC(IAA)
         IF (.NOT.ISATOK(IAT)) GOTO 100



         DO 90 JAA=JFT1,JFT2
            IF (INTERRUPTED()) GOTO 998
            IF (IAA.EQ.JAA) GOTO 90
            IF (WIFPAR(109).NE.0.AND.JAA.LT.IAA) GOTO 90
            JAT=PNTAAC(JAA)
            IF (.NOT.ISATOK(JAT)) GOTO 90



            D12=SQRT((XCOORD(IAT)-XCOORD(JAT))**2+
     +               (YCOORD(IAT)-YCOORD(JAT))**2+
     +               (ZCOORD(IAT)-ZCOORD(JAT))**2)
            ICOL=190-MIN(NINT(9.0*D12),180)



            CALL CON006 (PNTAAS(IAA),IFT1,IFT2,JFT1,JFT2,XLOW)
            CALL CON006 (PNTAAE(IAA),IFT1,IFT2,JFT1,JFT2,XHIGH)
            CALL CON007 (PNTAAS(JAA),IFT1,IFT2,JFT1,JFT2,YLOW)
            CALL CON007 (PNTAAE(JAA),IFT1,IFT2,JFT1,JFT2,YHIGH)
            CALL GRTLIN (XLOW, YLOW, 0.0,XHIGH,YLOW, 0.0,ICOL,IERR)
            CALL GRTLIN (XHIGH,YLOW, 0.0,XHIGH,YHIGH,0.0,ICOL,IERR)
            CALL GRTLIN (XHIGH,YHIGH,0.0,XLOW, YHIGH,0.0,ICOL,IERR)
            CALL GRTLIN (XLOW, YHIGH,0.0,XLOW, YLOW, 0.0,ICOL,IERR)
            CALL GRASAVE



            IF (IERR.EQ.1) THEN
               CALL GVSTT6 ('?PRMDPD')
               GOTO 200
            END IF



            CALL GRTPPP (IAA,JAA,0,XLOW,YLOW,0.0,IERR)
            IF (IERR.NE.0) GOTO 999
   90    CONTINUE
         CALL GRASAVE
  100 CONTINUE



  200 CONTINUE
      CALL GRAMOL (' ')
      GOTO 998



  999 CONTINUE
      CALL GVSTT6 ('?ERWPIC')
      CALL GVSCLF (19)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE CON006 (IAT,IFT1,IFT2,JFT1,JFT2,XIAT)




















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IERR, IAT, IFT1, IFT2, JFT1, JFT2
      REAL          XIAT
      LOGICAL       WIFITI, WIFIRI







      CALL CON100 (IFT1,IFT2,JFT1,JFT2,LINE,IERR)
      IF (IERR.NE.0) GOTO 998
      IF (.NOT.WIFITI(IAT)) THEN
         CALL GVSTTI ('?CON025',IAT)
         GOTO 998
      END IF
      IF (.NOT.WIFIRI(ATIAA(IAT))) THEN
         CALL GVSTTI ('?CON026',IAT)
         GOTO 998
      END IF





      IF (WIFPAR(95).EQ.0) THEN
         XIAT=FLOAT(IAT-PNTAAS(IFT1)+ATIAA(IAT)-IFT1)/10.0
      ELSE
         IF (RESTYP(ATIAA(IAT)).NE.0) THEN
            XIAT=FLOAT(ATIAA(IAT)-IFT1)+FLOAT(IAT-PNTAAS(ATIAA(IAT)))/
     +           FLOAT(ATPRAA(RESTYP(ATIAA(IAT))))
         ELSE
            XIAT=FLOAT(ATIAA(IAT)-IFT1)+FLOAT(IAT-PNTAAS(ATIAA(IAT)))
         END IF
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE CON007 (JAT,IFT1,IFT2,JFT1,JFT2,YJAT)




















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IERR, JAT, IFT1, IFT2, JFT1, JFT2
      REAL          YJAT
      LOGICAL       WIFITI, WIFIRI







      CALL CON100 (IFT1,IFT2,JFT1,JFT2,LINE,IERR)
      IF (IERR.NE.0) GOTO 998
      IF (.NOT.WIFITI(JAT)) THEN
         CALL GVSTTI ('?CON025',JAT)
         GOTO 998
      END IF
      IF (.NOT.WIFIRI(ATIAA(JAT))) THEN
         CALL GVSTTI ('?CON026',JAT)
         GOTO 998
      END IF





      IF (WIFPAR(95).EQ.0) THEN
         YJAT=FLOAT(JAT-PNTAAS(JFT1)+ATIAA(JAT)-JFT1)/10.0
      ELSE
         IF (RESTYP(ATIAA(JAT)).NE.0) THEN
            YJAT=FLOAT(ATIAA(JAT)-JFT1)+FLOAT(JAT-PNTAAS(ATIAA(JAT)))/
     +           FLOAT(ATPRAA(RESTYP(ATIAA(JAT))))
         ELSE
            YJAT=FLOAT(ATIAA(JAT)-JFT1)+FLOAT(JAT-PNTAAS(ATIAA(JAT)))
         END IF
      END IF



  998 CONTINUE


      RETURN
      END
      SUBROUTINE CON008 





















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IERR, IFT1, IFT2, JFT1, JFT2, IAA,
     +              JAA, IAT, JAT
      REAL          XLOW, XHIGH, YLOW, YHIGH, D12
      LOGICAL       FIRST, GRAPON, INTERRUPTED







      IF (.NOT.GRAPON()) GOTO 998
      CALL CON002 (IFT1,IFT2,JFT1,JFT2)
      IF (IFT1.LE.0) GOTO 998



      CALL CON003 



      CALL CON004 (IFT1,IFT2,JFT1,JFT2)



      CALL GETREALPAR (56,100.0,0.0,100.0,' ','?SCNCOD')



      CALL DIF011 (IFT1,IFT2,JFT1,JFT2,'?DEBCCO',
     + FLOAT(WIFPAR(56))/100.0,LINE)
      CALL SETHIS (LINE)



      CALL GRTMPF (19,2)



      DO 100 IAA=IFT1,IFT2



         DO 90 JAA=JFT1,JFT2
            IF (INTERRUPTED()) GOTO 998
            IF (IAA.EQ.JAA) GOTO 90
            IF (WIFPAR(109).NE.0.AND.JAA.GT.IAA) GOTO 90



            D12=SQRT((SPHRAD(1,IAA)-SPHRAD(1,JAA))**2+
     +               (SPHRAD(2,IAA)-SPHRAD(2,JAA))**2+
     +               (SPHRAD(3,IAA)-SPHRAD(3,JAA))**2)-
     +                SPHRAD(4,IAA)-SPHRAD(4,JAA)
            IF (D12.GT.FLOAT(WIFPAR(56))/100.0) GOTO 90



            FIRST=.TRUE.
            DO 80 IAT=PNTAAS(IAA),PNTAAE(IAA)
               IF (.NOT.ISATOK(IAT).OR.PROTON(IAT)) GOTO 80
               DO 70 JAT=PNTAAS(JAA),PNTAAE(JAA)
                  IF (.NOT.ISATOK(JAT).OR.PROTON(JAT)) GOTO 70



                  D12=SQRT((XCOORD(IAT)-XCOORD(JAT))**2+
     +                     (YCOORD(IAT)-YCOORD(JAT))**2+
     +                     (ZCOORD(IAT)-ZCOORD(JAT))**2)-
     +                      VDWRAD(IAT)-VDWRAD(JAT)
                  IF (D12.GT.FLOAT(WIFPAR(56))/100.0) GOTO 70




                  IF (FIRST) THEN
                     FIRST=.FALSE.
                     CALL CON006 (PNTAAS(IAA),IFT1,IFT2,JFT1,
     +                JFT2,XLOW)
                     CALL CON006 (PNTAAE(IAA),IFT1,IFT2,JFT1,
     +                JFT2,XHIGH)
                     CALL CON007 (PNTAAS(JAA),IFT1,IFT2,JFT1,
     +                JFT2,YLOW)
                     CALL CON007 (PNTAAE(JAA),IFT1,IFT2,JFT1,
     +                JFT2,YHIGH)
                     XHIGH=XHIGH+0.1
                     YHIGH=YHIGH+0.1
                     CALL GRTLIN (XLOW,
     +                YLOW,0.0,XHIGH,YLOW,0.0,ATCOLR(PNTAAC(IAA)),IERR)
                     CALL GRTLIN (XHIGH,
     +                YLOW,0.0,XHIGH,YHIGH,0.0,ATCOLR(PNTAAC(IAA)),IERR)
                     CALL GRTLIN (XHIGH,
     +                YHIGH,0.0,XLOW,YHIGH,0.0,ATCOLR(PNTAAC(JAA)),IERR)
                     CALL GRTLIN (XLOW,
     +                YHIGH,0.0,XLOW,YLOW,0.0,ATCOLR(PNTAAC(JAA)),IERR)
                     IF (IERR.NE.0) THEN
                        CALL GVSTT6 ('?PRMDPD')
                        GOTO 200
                     END IF



                     CALL GRTPPP (IAA,JAA,0,XLOW,YLOW,0.0,IERR)
                     IF (IERR.NE.0) GOTO 999
                  ELSE



                     CALL CON006 (IAT,IFT1,IFT2,JFT1,JFT2,XLOW)
                     CALL CON007 (JAT,IFT1,IFT2,JFT1,JFT2,YLOW)
                     XHIGH=XLOW+0.08
                     YHIGH=YLOW+0.08
                     CALL GRTLIN (XLOW,
     +                YLOW,0.0,XHIGH,YLOW,0.0,ATCOLR(IAT),IERR)
                     CALL GRTLIN (XHIGH,
     +                YLOW,0.0,XHIGH,YHIGH,0.0,ATCOLR(IAT),IERR)
                     CALL GRTLIN (XHIGH,
     +                YHIGH,0.0,XLOW,YHIGH,0.0,ATCOLR(JAT),IERR)
                     CALL GRTLIN (XLOW,
     +                YHIGH,0.0,XLOW,YLOW,0.0,ATCOLR(JAT),IERR)
                     IF (IERR.NE.0) THEN
                        CALL GVSTT6 ('?PRMDPD')
                        GOTO 200
                     END IF
                  END IF
   70          CONTINUE
   80       CONTINUE
   90    CONTINUE
  100 CONTINUE



  200 CONTINUE
      CALL GRAMOL (' ')
      GOTO 998



  999 CONTINUE
      CALL GVSTT6 ('?ERWPIC')
      CALL GVSCLF (19)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE CON009

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      LOGICAL       WIFIRI











      IF (.NOT.WIFIRI(WIFPAR(431))) WIFPAR(431)=1
      IF (.NOT.WIFIRI(WIFPAR(432))) WIFPAR(432)=
     + MIN(NUMAAT,WIFPAR(432)+WIFPAR(101))

      IF (.NOT.WIFIRI(WIFPAR(433))) WIFPAR(433)=1
      IF (.NOT.WIFIRI(WIFPAR(434))) WIFPAR(434)=
     + MIN(NUMAAT,WIFPAR(434)+WIFPAR(101))





      RETURN
      END   
      SUBROUTINE CON010
















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IFT1, IFT2, JFT1, JFT2, IERR,
     +              IAA, JAA, IAT, JAT
      LOGICAL       INTERRUPTED
      REAL          XLOW, YLOW, XHIGH, YHIGH, D12, XMID, YMID







      



      CALL CON002 (IFT1,IFT2,JFT1,JFT2)
      IF (IFT1.LE.0) GOTO 998



      CALL CON003 



      CALL CON004 (IFT1,IFT2,JFT1,JFT2)



      CALL GETREALPAR (56,100.0,0.0,100.0,' ','?SCNCOD')



      CALL DIF011 (IFT1,IFT2,JFT1,JFT2,'?DEBCCO',
     + FLOAT(WIFPAR(56))/100.0,LINE)
      CALL SETHIS (LINE)



      CALL GRTMPF (19,2)



      DO 100 IAA=IFT1,IFT2



         DO 90 JAA=JFT1,JFT2
            IF (INTERRUPTED()) GOTO 998 
            IF (IAA.EQ.JAA) GOTO 90
            IF (WIFPAR(109).NE.0.AND.JAA.LT.IAA) GOTO 90



            D12=SQRT((SPHRAD(1,IAA)-SPHRAD(1,JAA))**2+
     +               (SPHRAD(2,IAA)-SPHRAD(2,JAA))**2+
     +               (SPHRAD(3,IAA)-SPHRAD(3,JAA))**2)-
     +                SPHRAD(4,IAA)-SPHRAD(4,JAA)
            IF (D12.GT.FLOAT(WIFPAR(56))/100.0) GOTO 90



            DO 80 IAT=PNTAAS(IAA),PNTAAE(IAA)
               IF (.NOT.ISATOK(IAT).OR.PROTON(IAT)) GOTO 80
               DO 70 JAT=PNTAAS(JAA),PNTAAE(JAA)
                  IF (.NOT.ISATOK(JAT).OR.PROTON(JAT)) GOTO 70



                  D12=SQRT((XCOORD(IAT)-XCOORD(JAT))**2+
     +                     (YCOORD(IAT)-YCOORD(JAT))**2+
     +                     (ZCOORD(IAT)-ZCOORD(JAT))**2)-
     +                      VDWRAD(IAT)-VDWRAD(JAT)
                  IF (D12.GT.FLOAT(WIFPAR(56))/100.0) GOTO 70



                  CALL CON006 (PNTAAS(IAA),IFT1,IFT2,JFT1,
     +             JFT2,XLOW)
                  CALL CON006 (PNTAAE(IAA),IFT1,IFT2,JFT1,
     +             JFT2,XHIGH)
                  CALL CON007 (PNTAAS(JAA),IFT1,IFT2,JFT1,
     +             JFT2,YLOW)
                  CALL CON007 (PNTAAE(JAA),IFT1,IFT2,JFT1,
     +             JFT2,YHIGH)
                  CALL GRTLIN (XLOW,YLOW,0.0,XHIGH,YLOW,0.0,
     +             ATCOLR(PNTAAC(IAA)),IERR)
                  CALL GRTLIN (XHIGH,YLOW,0.0,XHIGH,YHIGH,0.0,
     +             ATCOLR(PNTAAC(IAA)),IERR)
                  CALL GRTLIN (XHIGH,YHIGH,0.0,XLOW,YHIGH,0.0,
     +             ATCOLR(PNTAAC(JAA)),IERR)
                  CALL GRTLIN (XLOW,YHIGH,0.0,XLOW,YLOW,0.0,
     +             ATCOLR(PNTAAC(JAA)),IERR)



                  IF (WIFPAR(106).NE.0) THEN
                     CALL CON006 (PNTAAS(IAA)+3,IFT1,IFT2,JFT1,
     +                JFT2,XMID)
                     CALL CON007 (PNTAAS(JAA)+3,IFT1,IFT2,JFT1,
     +                JFT2,YMID)
                     CALL GRTLIN (XMID,YLOW,0.0,XMID,YHIGH,0.0,
     +                WIFPAR(110),IERR)
                     CALL GRTLIN (XLOW,YMID,0.0,XHIGH,YMID,0.0,
     +                WIFPAR(110),IERR)
                  END IF
                  CALL GRASAVE



                  IF (IERR.EQ.1) THEN
                     CALL GVSTT6 ('?PRMDPD')
                     GOTO 200
                  END IF



                  CALL GRTPPP (IAA,JAA,0,XLOW,YLOW,0.0,IERR)
                  IF (IERR.NE.0) GOTO 999



                  GOTO 90
   70          CONTINUE
   80       CONTINUE
   90    CONTINUE
         CALL GRASAVE
  100 CONTINUE



  200 CONTINUE
      CALL GRAMOL (' ')
      GOTO 998



  999 CONTINUE
      CALL GVSTT6 ('?ERWPIC')
      CALL GVSCLF (19)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE CON011



















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'CNTINC.INC'
      INTEGER       IFT1, IFT2, JFT1, JFT2
      INTEGER       IAA, JAA, IAT, JAT, ICC, ICONT, NUMOUT
      LOGICAL       AREBOUND, GVFIBN, INTERRUPTED







      CALL CON002 (IFT1,IFT2,JFT1,JFT2)
      IF (IFT1.LE.0) RETURN



      CALL GRTVIN
      NUMOUT=0
      CALL HBO010



      CALL DIF011 (IFT1,IFT2,JFT1,JFT2,'BONDS',0.0,LINE)
      CALL SETHIS (LINE)



      CALL ENVTOT



      DO 100 IAA=IFT1,IFT2
         IF (INTERRUPTED()) RETURN
         CALL FCONAA (IAA,5.0,.TRUE.)
         DO 95 ICONT=1,NUMCONIAA
           JAA=CONIAA(ICONT)



            IF (.NOT.GVFIBN(JAA,JFT1,JFT2)) GOTO 95



            ICC=0
            DO 90 IAT=PNTAAS(IAA),PNTAAE(IAA)
               IF (.NOT.ISATOK(IAT).OR.PROTON(IAT)) GOTO 90
               DO 85 JAT=PNTAAS(JAA),PNTAAE(JAA)
                  IF (.NOT.ISATOK(JAT).OR.PROTON(JAT)) GOTO 85
                  IF (AREBOUND(IAT,JAT)) THEN
                    CALL DIF017 (NUMOUT,IAT,JAT)
                    ICC=1
                 ENDIF
   85          CONTINUE
   90       CONTINUE



            IF (ICC.GT.0) THEN
               ICC=0
               CALL GVSNL6 (1)
            END IF
   95    CONTINUE
  100 CONTINUE





      RETURN
      END

      SUBROUTINE CON016








































      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'







      CALL GVSTTI ('?CON002',WIFPAR(102))
      CALL GVSTTI ('?CON003',WIFPAR(103))
      CALL GVSTTI ('?CON004',WIFPAR(104))
      CALL GVSTTI ('?CON006',WIFPAR(106))
      CALL GVSTTI ('?CON007',WIFPAR(107))
      CALL GVSTTI ('?CON009',WIFPAR(109))
      CALL GVSTTI ('?CON010',WIFPAR(110))
      CALL GVSTTI ('?CON010A',WIFPAR(27))
      CALL GVSTTI ('?CON010B',WIFPAR(95))





      RETURN
      END
      SUBROUTINE CON017 (MODE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'SYMINC.INC'
      INCLUDE       'CNTINC.INC'
      INCLUDE       'IRIGRA.INC'
      INTEGER       IFT1, IFT2, JFT1, JFT2, ISYM, SYMNEG, 
     +              IAA, JAA, IAT, JAT, ICC, ICONT, JSYM,
     +              NUMOUT, LOC56
      REAL          D12, TMP(3), TMPRAD, MODE
      LOGICAL       SAME12, AREBOUNDS, WIFIRW, USYM, GVFIBN, 
     +              AREB13, INTERRUPTED







      CALL CON002 (IFT1,IFT2,JFT1,JFT2)
      IF (IFT1.LE.0) GOTO 998



      CALL GRTVIN
      NUMOUT=0
      CALL HBO010



      CALL GETREALPAR (56,100.0,0.0,100.0,' ','?SCNCOD')
      LOC56=WIFPAR(56)
      WIFPAR(56)=WIFPAR(56)*NINT(MODE)



      CALL SETUSYM (USYM)



      SAME12=IFT1.EQ.JFT1.AND.IFT2.EQ.JFT2.AND.
     + .NOT.WIFIRW(IFT1).AND.(.NOT.USYM)



      CALL DIF011 (IFT1,IFT2,JFT1,JFT2,'?DEBCCO',
     + FLOAT(WIFPAR(56))/100.0,LINE)
      CALL SETHIS (LINE)



      CALL ENVTOT



      DO 100 IAA=IFT1,IFT2
         IF (INTERRUPTED()) GOTO 998
         CALL FCONAA (IAA,MAX(0.01,FLOAT(WIFPAR(56))/100.0),.TRUE.)
         DO 95 ICONT=1,NUMCONIAA
            JAA=CONIAA(ICONT)
            JSYM=CONSYMAA(ICONT)
            ISYM=SYMNEG(JSYM)



            IF (.NOT.GVFIBN(JAA,JFT1,JFT2)) GOTO 95



            IF (JSYM.EQ.1) THEN
               IF (SAME12.AND.JAA.LE.IAA) GOTO 95
               IF (IAA.EQ.JAA) GOTO 95
               IF (ABS(IAA-JAA).LE.1) GOTO 95
               IF (WIFPAR(439).NE.0.AND.USYM) GOTO 95
            END IF



            IF (.NOT.USYM.AND.ABS(IAA-JAA).LE.WIFPAR(26).AND.
     +       CHAINN(2,IAA).EQ.CHAINN(2,JAA)) GOTO 95



            ICC=0
            DO 90 IAT=PNTAAS(IAA),PNTAAE(IAA)
               IF (.NOT.ISATOK(IAT).OR.PROTON(IAT)) GOTO 90
               TMP(1)=XCOORD(IAT)
               TMP(2)=YCOORD(IAT)
               TMP(3)=ZCOORD(IAT)
               TMPRAD=FLOAT(WIFPAR(56))/100.0+VDWRAD(IAT)
               IF (ISYM.GT.1) CALL GVSMPV (TMP,SYMMAT(1,1,ISYM),
     +          SYMVEC(1,ISYM))
               DO 85 JAT=PNTAAS(JAA),PNTAAE(JAA)
                  IF (.NOT.ISATOK(JAT).OR.PROTON(JAT)) GOTO 85



                  D12=(TMP(1)-XCOORD(JAT))**2+
     +                (TMP(2)-YCOORD(JAT))**2+
     +                (TMP(3)-ZCOORD(JAT))**2
                  IF (D12.LT.(TMPRAD+VDWRAD(JAT))**2) THEN



                     IF (AREBOUNDS(IAT,JAT,JSYM)) GOTO 85



                     IF (AREB13(IAT,JAT,JSYM)) GOTO 85



                     IF (USYM) THEN
                        CALL DIF018 (NUMOUT,IAT,JAT,JSYM)
                     ELSE
                        CALL DIF018 (NUMOUT,IAT,JAT,-1)
                     END IF



                     IF (USE300.AND.WIFPAR(27).NE.0)
     +                CALL DRW_DASH_L_SYM (IAT, JAT, 13, JSYM)
                  END IF
   85          CONTINUE
   90       CONTINUE



            IF (ICC.GT.0) THEN
               ICC=0
               CALL GVSNL6 (1)
            END IF



            IF (USE300.AND.WIFPAR(27).NE.0) CALL GRASAVE
   95    CONTINUE
  100 CONTINUE



      IF (USE300.AND.WIFPAR(27).NE.0) CALL GRAMOL (' ')



      IF (USYM) CALL GVSTT6 ('?M0650') 

      CALL WIFPOPPPP (590)
      WIFPAR(56)=LOC56



  998 CONTINUE


      RETURN
      END

      LOGICAL FUNCTION CON018A(CUTOFF,IFT1,IFT2,JFT1,JFT2,HITS)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IFT1, IFT2, JFT1, JFT2, IAA1, IAA2, IAT1, 
     +              IAT2, HITS, HITSNOW
      REAL          D12, CUTOFF, DMIN







      CON018A=.FALSE.
      HITSNOW=0



      IF (IFT1.LE.0) GOTO 998



      DO 100 IAA1=IFT1,IFT2



         DO 95 IAA2=JFT1,JFT2



            IF (ABS(IAA1-IAA2).LE.WIFPAR(26).AND.
     +       CHAINN(2,IAA1).EQ.CHAINN(2,IAA2)) GOTO 95



            DMIN=SQRT((SPHRAD(1,IAA1)-SPHRAD(1,IAA2))**2+
     +                (SPHRAD(2,IAA1)-SPHRAD(2,IAA2))**2+
     +                (SPHRAD(3,IAA1)-SPHRAD(3,IAA2))**2)-
     +                 SPHRAD(4,IAA1)-SPHRAD(4,IAA2)
            IF (DMIN.GT.CUTOFF) GOTO 95



            DO 90 IAT1=PNTAAS(IAA1),PNTAAE(IAA1)
               IF (.NOT.ISATOK(IAT1).OR.PROTON(IAT1)) GOTO 90
               DO 85 IAT2=PNTAAS(IAA2),PNTAAE(IAA2)
                  IF (.NOT.ISATOK(IAT2).OR.PROTON(IAT2)) GOTO 85



                  D12=SQRT((XCOORD(IAT1)-XCOORD(IAT2))**2+
     +                     (YCOORD(IAT1)-YCOORD(IAT2))**2+
     +                     (ZCOORD(IAT1)-ZCOORD(IAT2))**2)
                  IF (D12.LT.CUTOFF+VDWRAD(IAT1)+
     +                VDWRAD(IAT2)) THEN



                     HITSNOW=HITSNOW+1
                     IF (HITSNOW.GT.HITS) THEN
                        CON018A=.TRUE.
                        GOTO 998
                     END IF
                     GOTO 95
                  END IF
   85          CONTINUE
   90       CONTINUE
   95    CONTINUE
  100 CONTINUE



  998 CONTINUE


      RETURN
      END
      SUBROUTINE CON018B (CUTOFF,IFT1,IFT2,JFT1,JFT2,NEEDED,HITS)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IFT1, IFT2, JFT1, JFT2, IAA1, IAA2, IAT1, 
     +              IAT2, HITS, NEEDED
      REAL          D12, CUTOFF, DMIN







      CALL GVSBTF (USEAT,NUMATF)
      HITS=0



      IF (IFT1.LE.0) GOTO 998



      DO 100 IAA1=IFT1,IFT2
         IF (USEAT(PNTAAC(IAA1))) GOTO 100



         DO 95 IAA2=JFT1,JFT2
            IF (USEAT(PNTAAC(IAA2))) GOTO 95



            DMIN=SQRT((SPHRAD(1,IAA1)-SPHRAD(1,IAA2))**2+
     +                (SPHRAD(2,IAA1)-SPHRAD(2,IAA2))**2+
     +                (SPHRAD(3,IAA1)-SPHRAD(3,IAA2))**2)-
     +                 SPHRAD(4,IAA1)-SPHRAD(4,IAA2)
            IF (DMIN.GT.CUTOFF) GOTO 95



            DO 90 IAT1=PNTAAS(IAA1),PNTAAE(IAA1)
               IF (.NOT.ISATOK(IAT1).OR.PROTON(IAT1)) GOTO 90
               DO 85 IAT2=PNTAAS(IAA2),PNTAAE(IAA2)
                  IF (.NOT.ISATOK(IAT2).OR.PROTON(IAT2)) GOTO 85



                  D12=SQRT((XCOORD(IAT1)-XCOORD(IAT2))**2+
     +                     (YCOORD(IAT1)-YCOORD(IAT2))**2+
     +                     (ZCOORD(IAT1)-ZCOORD(IAT2))**2)
                  IF (D12.LT.CUTOFF+VDWRAD(IAT1)+
     +                VDWRAD(IAT2)) THEN



                     HITS=HITS+1
                     IF (HITS.GE.NEEDED) GOTO 998
                     USEAT(PNTAAC(IAA1))=.TRUE.
                     USEAT(PNTAAC(IAA2))=.TRUE.
                     GOTO 100
                  END IF
   85          CONTINUE
   90       CONTINUE
   95    CONTINUE
  100 CONTINUE



  998 CONTINUE


      RETURN
      END

      SUBROUTINE CON035 (IAA,IFT1,IFT2,SCORE)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IFT1, IFT2, IAA, JAA, IAT, JAT
      LOGICAL       WIFIRI
      REAL          SCORE, D12








      PRINT*,'THIS OPTION IS BUGGED'
      IF (NUMATF.GE.1) GOTO 998

      SCORE=0.0
      IF (.NOT.WIFIRI(IAA)) GOTO 998
      IF (HATPRA(RESTYP(IAA)).LE.5) GOTO 998



      DO 90 JAA=IFT1,IFT2
         IF (IAA.EQ.JAA) GOTO 90



         D12=SQRT((SPHRAD(1,IAA)-SPHRAD(1,JAA))**2+
     +            (SPHRAD(2,IAA)-SPHRAD(2,JAA))**2+
     +            (SPHRAD(3,IAA)-SPHRAD(3,JAA))**2)-
     +             SPHRAD(4,IAA)-SPHRAD(4,JAA)
         IF (D12.GT.FLOAT(WIFPAR(56))/100.0) GOTO 90



         DO 80 IAT=PNTAAS(IAA)+5,PNTAAE(IAA)
            IF (.NOT.ISATOK(IAT).OR.PROTON(IAT)) GOTO 80

            IF (ONESAT(IAT)(1:1).NE.'C'.OR.
     +          ONESAT(IAT)(1:1).NE.'S') THEN
               DO 70 JAT=PNTAAS(JAA),PNTAAE(JAA)
                  IF (.NOT.ISATOK(JAT).OR.PROTON(JAT)) GOTO 70
                  IF (ONESAT(JAT)(1:1).NE.'C'.OR.
     +                ONESAT(JAT)(1:1).NE.'S') THEN



                     D12=SQRT((XCOORD(IAT)-XCOORD(JAT))**2+
     +                        (YCOORD(IAT)-YCOORD(JAT))**2+
     +                        (ZCOORD(IAT)-ZCOORD(JAT))**2)-
     +                         VDWRAD(IAT)-VDWRAD(JAT)
                     IF (D12.GT.FLOAT(WIFPAR(56))/100.0) GOTO 70
                     SCORE=SCORE+1.0
                  END IF
   70          CONTINUE
            END IF
   80    CONTINUE
   90 CONTINUE



  998 CONTINUE


      RETURN
      END
      SUBROUTINE CON036 

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IERR, IAA, JAA, IAT, JAT, NUMB
      REAL          D12
      LOGICAL       AREBOUND, AREB13







      NUMB=0
      CALL HBO010



      CALL WIFGAT (' ',IAA,IAT,IERR)
      IF (IAA.LE.0.OR.IERR.NE.0) GOTO 998
      IF (.NOT.ISATOK(IAT)) THEN
         CALL GVST6C ('?MOLB08',ONESAT(IAT),.TRUE.)
         GOTO 998
      END IF



      CALL WIFWTF (' ',IERR)
      IF (IERR.NE.0) GOTO 998



      CALL GETREALPAR (56,100.0,0.0,100.0,' ','?SCNCOD')
      IF (IERR.NE.0) GOTO 998



      DO 100 JAA=1,NUMAAT
         IF (.NOT.WRK1TF(JAA)) GOTO 100



         DO 90 JAT=PNTAAS(JAA),PNTAAE(JAA)
            IF (IAT.EQ.JAT) GOTO 90
            IF (.NOT.ISATOK(JAT)) GOTO 90
            IF (AREBOUND(IAT,JAT).OR.AREB13(IAT,JAT,1)) GOTO 90



            D12=SQRT((XCOORD(IAT)-XCOORD(JAT))**2+
     +               (YCOORD(IAT)-YCOORD(JAT))**2+
     +               (ZCOORD(IAT)-ZCOORD(JAT))**2)-
     +                VDWRAD(IAT)-VDWRAD(JAT)
            IF (D12.GT.FLOAT(WIFPAR(56))/100.0) GOTO 90



            CALL DIF018 (NUMB,IAT,JAT,-1)
   90    CONTINUE
  100 CONTINUE



      CALL SETHIS ('?M2059')



  998 CONTINUE


      RETURN
      END
      SUBROUTINE CON100 (IFT1,IFT2,JFT1,JFT2,LOCLIN,IERR)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IFT1, IFT2, JFT1, JFT2, IERR
      CHARACTER*80  LOCLIN
      LOGICAL       WIFIRI







      IERR=0



      IF ((.NOT.WIFIRI(IFT1)).OR.(.NOT.WIFIRI(IFT2)).OR.
     +    (.NOT.WIFIRI(JFT1)).OR.(.NOT.WIFIRI(JFT2)).OR.
     +    IFT2.LT.IFT1.OR.JFT2.LT.JFT1) THEN
         IERR=1
         CALL GVSFMT ('?CON038')
         WRITE (LOCLIN,FMT,ERR=999) IFT1,IFT2,JFT1,JFT2
         CALL GVSTT6 (LOCLIN)
      END IF
      GOTO 998



  999 CONTINUE
      CALL GVSEIW ('CON100')



  998 CONTINUE 


      RETURN
      END
